org.apache.lucene.benchmark.byTask.feeds

## Class SimpleSloppyPhraseQueryMaker

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker
  - - org.apache.lucene.benchmark.byTask.feeds.SimpleQueryMaker
    - - org.apache.lucene.benchmark.byTask.feeds.SimpleSloppyPhraseQueryMaker

All Implemented Interfaces:
  QueryMaker

    public class SimpleSloppyPhraseQueryMaker
    extends SimpleQueryMaker

Create sloppy phrase queries for performance test, in an index created using simple doc maker.

### Field Summary

### Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker

`config, qnum, queries`

### Constructor Summary

Constructors
Constructor and Description
`SimpleSloppyPhraseQueryMaker()`

### Method Summary

Methods
`protected Query[]` `prepareQueries()` Prepare the queries for this test.

### Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker

`makeQuery, makeQuery, nextQnum, printQueries, resetInputs, setConfig`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.lucene.benchmark.byTask.feeds.QueryMaker

`makeQuery, makeQuery, printQueries, resetInputs, setConfig`

### Constructor Detail

#### SimpleSloppyPhraseQueryMaker

    public SimpleSloppyPhraseQueryMaker()

### Method Detail

#### prepareQueries

    protected Query[] prepareQueries()
                              throws Exception

Description copied from class: `SimpleQueryMaker`
Prepare the queries for this test. Extending classes can override this method for preparing different queries.

Overrides:
  `prepareQueries` in class `SimpleQueryMaker`
Returns:
  prepared queries.
Throws:
  `Exception` - if cannot prepare the queries.